curl 'https://rpc1.aries.axiomesh.io' \
--header 'Content-Type: application/json' \
--data '{
"jsonrpc": "2.0",
"method": "eth_getTransactionByBlockHashAndIndex",
"params": ["0xF5Abf88ecA668507FbF7D65Ef76bebCB30fb4354943682D8a0E97C9dA2275a11","0x0"],
"id": 1
}'
{
"jsonrpc": "2.0",
"id": 1,
"result": {
"blockHash": "0xf5abf88eca668507fbf7d65ef76bebcb30fb4354943682d8a0e97c9da2275a11",
"blockNumber": "0x3",
"from": "0xc7f999b83af6df9e67d0a37ee7e900bf38b3d013",
"gas": "0xac4c",
"gasPrice": "0x2540be400",
"hash": "0x04307b5f0882c6665a847b87bba2ea65e002dc7e0fcc62dfba49c4c7b7f15b62",
"input": "0x4000e4f645700000000000000000000000000000000000000000000000000000000000004570000000000000000000000000000000000000000000000000000000000001",
"nonce": "0x1",
"to": "0x4cd8ee4fc57c51d8af5b6b6a08cc441f2b4fcbfe",
"transactionIndex": "0x0",
"value": "0x0",
"type": "0x0",
"v": "0xabc",
"r": "0x4264bb2e2eb36452a36b5de83a7bab9a3133d1196590477ebad98cf57669cb6b",
"s": "0x29903c1cea0b97f663909cfe5c0f09ef40dba6a4c69b6aa34a89acd7d936a96"
}
}
JSON RPC
eth_getTransactionByBlockHashAndIndex
POST
/
curl 'https://rpc1.aries.axiomesh.io' \
--header 'Content-Type: application/json' \
--data '{
"jsonrpc": "2.0",
"method": "eth_getTransactionByBlockHashAndIndex",
"params": ["0xF5Abf88ecA668507FbF7D65Ef76bebCB30fb4354943682D8a0E97C9dA2275a11","0x0"],
"id": 1
}'
{
"jsonrpc": "2.0",
"id": 1,
"result": {
"blockHash": "0xf5abf88eca668507fbf7d65ef76bebcb30fb4354943682d8a0e97c9da2275a11",
"blockNumber": "0x3",
"from": "0xc7f999b83af6df9e67d0a37ee7e900bf38b3d013",
"gas": "0xac4c",
"gasPrice": "0x2540be400",
"hash": "0x04307b5f0882c6665a847b87bba2ea65e002dc7e0fcc62dfba49c4c7b7f15b62",
"input": "0x4000e4f645700000000000000000000000000000000000000000000000000000000000004570000000000000000000000000000000000000000000000000000000000001",
"nonce": "0x1",
"to": "0x4cd8ee4fc57c51d8af5b6b6a08cc441f2b4fcbfe",
"transactionIndex": "0x0",
"value": "0x0",
"type": "0x0",
"v": "0xabc",
"r": "0x4264bb2e2eb36452a36b5de83a7bab9a3133d1196590477ebad98cf57669cb6b",
"s": "0x29903c1cea0b97f663909cfe5c0f09ef40dba6a4c69b6aa34a89acd7d936a96"
}
}
Returns information about a transaction by block hash and transaction index position
Body
number
Serves as a unique identifier for the request
string
Indicates the version of JSON-RPC being used
string
Represents the name of the remote procedure or method to be called
array
Response
number
Returns unique identifier for the request
string
Returns the version of JSON-RPC being used
object
A transaction object, or null when no transaction was found
Show transaction object
Show transaction object
string
32 Bytes - hash of the block including this transaction. null when it’s pending
string
Number of the block including this transaction. null when it’s pending
string
20 Bytes - address of the sender
string
gas provided by the sender
string
gas price provided by the sender in Mol
string
MaxFeePerGas,Maximum fee, in Mol, the sender is willing to pay per gas above the base fee
string
MaxPriorityFeePerGas,Maximum total fee (base fee + priority fee), in Mol, the sender is willing to pay per gas
string
32 Bytes - hash of the transaction
string
The data sent along with the transaction
string
The number of transactions made by the sender prior to this one
string
20 Bytes - address of the receiver. null when its a contract creation transaction
string
Integer of the transactions index position in the block. null when its pending
string
Value transferred in Mol
string
The transaction type
array
List of addresses and storage keys the transaction plans to access
string
Chain ID specifying the network. Returned only for EIP-1559 transactions
string
ECDSA recovery ID
string
32 Bytes - ECDSA signature r
string
32 Bytes - ECDSA signature s
curl 'https://rpc1.aries.axiomesh.io' \
--header 'Content-Type: application/json' \
--data '{
"jsonrpc": "2.0",
"method": "eth_getTransactionByBlockHashAndIndex",
"params": ["0xF5Abf88ecA668507FbF7D65Ef76bebCB30fb4354943682D8a0E97C9dA2275a11","0x0"],
"id": 1
}'
{
"jsonrpc": "2.0",
"id": 1,
"result": {
"blockHash": "0xf5abf88eca668507fbf7d65ef76bebcb30fb4354943682d8a0e97c9da2275a11",
"blockNumber": "0x3",
"from": "0xc7f999b83af6df9e67d0a37ee7e900bf38b3d013",
"gas": "0xac4c",
"gasPrice": "0x2540be400",
"hash": "0x04307b5f0882c6665a847b87bba2ea65e002dc7e0fcc62dfba49c4c7b7f15b62",
"input": "0x4000e4f645700000000000000000000000000000000000000000000000000000000000004570000000000000000000000000000000000000000000000000000000000001",
"nonce": "0x1",
"to": "0x4cd8ee4fc57c51d8af5b6b6a08cc441f2b4fcbfe",
"transactionIndex": "0x0",
"value": "0x0",
"type": "0x0",
"v": "0xabc",
"r": "0x4264bb2e2eb36452a36b5de83a7bab9a3133d1196590477ebad98cf57669cb6b",
"s": "0x29903c1cea0b97f663909cfe5c0f09ef40dba6a4c69b6aa34a89acd7d936a96"
}
}
⌘I